### Property

# Ide PipelineStage:check-stdout

#### Declaration

    property check-stdout: gboolean [ read, write ]

#### Description

Most build systems will preserve stderr for the processes they call, such as gcc, clang, and others. However, if your build system redirects all output to stdout, you may need to set this property to `TRUE` to ensure that Builder will extract errors from stdout.

One such example is Ninja.

Type: | `gboolean`
Available since: | 3.32

Setter method | `ide_pipeline_stage_set_check_stdout()`
Getter method | `ide_pipeline_stage_get_check_stdout()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no